SoapServer->handle
SoapServer->setPersistence
SOAP Functions
PHP Manual

# SoapServer->setClass

(No version information available, might be only in CVS)

SoapServer->setClass — Sets class which will handle SOAP requests

### Description

SoapServer
void setClass ( string `$class_name` [, mixed `$args` [, mixed `$...` ]] )

Exports all methods from specified class.

The object can be made persistent across request for a given PHP session with the SoapServer->setPersistence method.

### Parameters

`class_name`

  The name of the exported class.

`args`

  These optional parameters will be passed to the default class constructor during object creation.

### Return Values

No value is returned.

### Examples

Example #1 Some examples

`<?php
class foo {
function foo()
{
}
}
$server->setClass("foo");
class bar {
function bar($x, $y)
{
}
}
$server->setClass("bar", $arg1, $arg2);
?>`

### See Also

- SoapServer->__construct
- SoapServer->addFunction
- SoapServer->setPersistence

SoapServer->handle
SoapServer->setPersistence
SOAP Functions
PHP Manual